Skip to main content
GET
List bookings

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Query Parameters

from
string

ISO 8601 start of the window, by booking start time. Defaults to now, or to 30 days before to.

to
string

ISO 8601 end of the window. Defaults to 30 days after from. At most 370 days after from.

status
string

Comma-separated: new, confirmed, cancelled, completed, no_show, rescheduled.

contact_id
integer

Only this CRM contact's bookings.

event_type_id
integer

Only bookings of this booking page.

page
integer

Page number, from 1.

per_page
integer

Results per page. Default 20, maximum 100.

Response

200 - application/json

Success

success
enum<boolean>
Available options:
true
data
object[]
pagination
object
meta
object